Bug 1124137 - Heat messaging failure using default qpid_topology_version=1
Summary: Heat messaging failure using default qpid_topology_version=1
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-heat
Version: 4.0
Hardware: Unspecified
OS: Linux
high
high
Target Milestone: z5
: 4.0
Assignee: Jeff Peeler
QA Contact: Amit Ugol
URL:
Whiteboard:
Depends On:
Blocks: 1125997 1127922
TreeView+ depends on / blocked
 
Reported: 2014-07-29 04:18 UTC by Brent Holden
Modified: 2016-04-26 14:50 UTC (History)
9 users (show)

Fixed In Version: openstack-heat-2013.2.3-4.el6ost
Doc Type: Bug Fix
Doc Text:
The Qpid driver's v2 topology has been introduced to specifically address the slow growth of orphaned direct exchanges over time. By default, however, services still used the original v1 topology of the Qpid driver. The v2 topology had to be explicitly configured via the 'qpid_topology_version = 2' parameter. With this fix, the Orchestration service's distribution configuration file (/usr/share/heat/heat-dist.conf) now contains the 'qpid_topology_version = 2' parameter. This effectively sets the Qpid driver's v2 topology as the default. In addition, the default value in the Qpid implementation has been changed to 2 as well.
Clone Of:
: 1125997 (view as bug list)
Environment:
Last Closed: 2014-10-22 17:52:53 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:1687 normal SHIPPED_LIVE Moderate: openstack-heat security, bug fix, and enhancement update 2014-10-22 21:10:51 UTC

Description Brent Holden 2014-07-29 04:18:34 UTC
Description of problem:
Upon an update to RHELOSP4 a4, Heat will stop functioning and will timeout when executing any API command.

How reproducible:
A default value of qpid_topology_version=1 is set by heat and commented out in /etc/heat/heat.conf


Steps to Reproduce:
1. Update to RHELOSP4 a4
2. Run 'heat stack-list' as admin
3. Wait for timeout to occur

Actual results:
heat-api.log: ERROR root [-] Unexpected error occurred serving API: Timeout while waiting on RPC response - topic: "engine", RPC method: "list_stacks" info: "<unknown>"


Expected results:
heat-api.log: DEBUG root [-] JSON response : {"stacks": []} to_json /usr/lib/python2.6/site-packages/heat/common/wsgi.py:578


Additional info:
Default distribution file of /usr/share/heat/heat-dist.conf should be updated to include variable assignment of qpid_topology_version=2 like other components. This will prevent heat from breaking due to using the default version 1.

Comment 2 Zane Bitter 2014-07-29 14:31:49 UTC
We should probably update the default in the code, not just in the config file.

See also bug 1030658 (same issue in Nova & others).

Comment 3 Jeff Peeler 2014-07-29 19:32:43 UTC
Also fixed in:

openstack-heat-2014.1.1-2.3.el6ost
openstack-heat-2014.1.1-2.3.el7ost

Comment 6 Amit Ugol 2014-10-11 18:14:01 UTC
tested in 2013.2.4-1.el6ost

Comment 8 errata-xmlrpc 2014-10-22 17:52:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2014-1687.html


Note You need to log in before you can comment on or make changes to this bug.